[![Gem Version](https://badge.fury.io/rb/ayadn.svg)](http://badge.fury.io/rb/ayadn) 
[![Build Status](https://travis-ci.org/ericdke/na.svg?branch=master)](https://travis-ci.org/ericdke/na) 
[![Flattr this](http://api.flattr.com/button/flattr-badge-large.png)](https://flattr.com/submit/auto?user_id=ericdejonckheere&url=https://github.com/ericdke/na&title=Ayadn&language=&tags=github&category=software)  

AYADN
=====

[App.net](http://app.net) command-line client.

With Ayadn, you can use all the features of App.net from the console without any headaches... and then more: power, freedom and fun!

- view/scroll all streams 
- view/scroll conversations
- reply to users
- write fast single-line or complex multi-line posts
- embed pictures in posts
- embed online video in posts
- view/scroll the Global stream with spammers filtered out
- view/scroll posts from specific users or posts mentioning a user
- follow/unfollow users, star/repost/mute/block/unstar/etc 
- create local bookmarks for conversations
- get detailed information about users and their followers/followings
- search for words, hashtags, post annotations, channels, etc
- extract links from conversations, streams, posts, etc
- list and download your files
- view (and write to) all your channels including Broadcasts, Patter, Ohai, etc
- 'nowplaying' from iTunes, Deezer or Last.fm, with album art and store link
- view/send private messages
- view geolocation data in streams
- create silent black lists of users, mentions, clients or hashtags
- create aliases for easier use of channels ids
- update your user profile
- export links and text from a post to Pinboard
- option to export almost any stream or object in JSON
- options: set the number of posts by request, show only new posts, etc
- (see the docs for all the features)


Ayadn is configurable: colors, stream content, durations, aliases, etc. 

There's also two exclusive antispam and filtering features: a blacklist of users/mentions/hashtags, and Jason Irwin's NiceRank to kick out spammers and bots from Global, with a customisable threshold.

Last but not least: Ayadn supports multiple ADN accounts! 

Authorize as many accounts as you wish, and simply switch between them in a second. 


## INSTALL

Install:

`gem install ayadn`  

Update:

`gem update ayadn`  

Uninstall:

`gem uninstall ayadn`  

## DOCUMENTATION

[In the /doc folder of the repo](https://github.com/ericdke/na/tree/master/doc)

## FEEDBACK

Feedback and/or contributions are very welcomed!

## CONTACT

Author: [@ericd](http://app.net/ericd)

App account: [@ayadn](http://app.net/ayadn)

ADN Directory: [Ayadn](https://directory.app.net/app/345/ayadn/)

## SCREENSHOTS

Examples on Mac OS X, with iTerm2 + Solarized theme.

![followers list](https://www.evernote.com/shard/s89/sh/fddc2f8e-78f0-4dde-974b-bf724f643d7f/419854929e27b5b3/res/522b6cd4-2e0f-4528-bc94-ea4a61de54a7/skitch.png)

![mentions stream in classic view](http://dl.dropboxusercontent.com/s/16d7u5wjsd3un1j/ayadn200mentions.png)

![conversation in compact view](http://dl.dropboxusercontent.com/s/3nl5fhguhzr61x9/ayadn200convocompact.png)

![posting to App.net](http://dl.dropboxusercontent.com/s/74ehkepj9u1ffbz/ayadn200posting.png)

![list of commands](https://dl.dropboxusercontent.com/s/4cuprxyc2xtjm1w/ayadncommands.png)
